petsc-3.4.2 2013-07-02

# MatGetLocalToGlobalMappingBlock

Gets the local-to-global numbering set by MatSetLocalToGlobalMappingBlock()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetLocalToGlobalMappingBlock(Mat A,ISLocalToGlobalMapping *rmapping,ISLocalToGlobalMapping *cmapping)

Not Collective

### Input Parameters

A -the matrix

### Output Parameters

| rmapping | - row mapping
| cmapping | - column mapping

### See Also

MatSetValuesBlockedLocal(), MatGetLocalToGlobalMapping()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages